BabasChess Help Index

Aide de BabasChess

BabasChess est une interface pour les serveurs d'échecs sur internet ; elle est développée par RRaf de FICS, elle est gratuite et peut être distribuée sans aucune restriction.

BabasChess fonctionne sous Windows 98/Me et Windows NT/2000/XP. Une résolution écran de 1024x768 avec 16M de couleurs est recommandée, bien que non requise.

Lisez Quoi de neuf? dans la nouvelle version de BabasChess.

Des mises à jour ainsi que des "plugins" peuvent être téléchargés sur le site web de BabasChess : http://www.babaschess.net ; commentaires, suggestions, reports de bugs peuvent être envoyés à info@babaschess.net.

Tâches

Se connecter au serveur d'échecs

Gestion des fenêtres

Jouer une partie

Examiner/éditer une partie

Obtenir de l'aide sur le serveur

Observer une partie

Personnaliser BabasChess

Fenêtres

Echiquier

Console

Fenêtre d'Information

Fenêtre Discussion

Fenêtre Channels

Fenêtre Profil

Commandes

Menu Fichier

Menu Affichage

Menu Actions

Menu Partie

Menu Edition

Menu Commandes rapides

Menu Fenêtre

Menu Plugins

Menu Aide


What's new

Quoi de neuf?

Cette nouvelle version de BabasChess contient beaucoup de nouvelles fonctionnalités. Si vous passez en mise à jour, il est recommandé d'ouvrir la boîte de dialogue Thèmes et d'essayer le nouveau thème par défaut, pour avoir un aperçu rapide des nouvelles valeurs par défaut.

Les principales nouvelles fonctionnalités sont :

  • Nouvelles possibilités de disposition des fenêtres : Console principale, Fenêtre d'information, Fenêtre discussion, et Fenêtre channels peuvent être maintenant configurées indépendamment les unes des autres comme 1) Flottant, 2) Arrimable, 3) Documents MDI, ou 4) Masquer automatiquement ; elles peuvent être arrimées ou se superposer ou être mises dans des onglets. Regardez Gestion des fenêtres pour plus d'informations ;
  • Documents MDI (incluant les échiquiers) peuvent être affichées comme des fenêtres filles ou dans un système d'onglets en utilisant la commande [image] "Fenêtres en onglets" du Menu fenêtre ;
  • La barre d'outils de personnalisation des boutons peut maintenant être fixée à n'importe quel côté de la fenêtre principale ; la barre de menu et la barre d'outils principale peuvent être fixées, flottantes ou masquées ;
  • Un mode plein écran est maintenant disponible (commande [image] "Plein écran" du Menu Affichage, le raccourci clavier par défaut est Alt+Entrée) ;
  • L'aspect général de l'Interface Utilisateur peut être paramétré dans Préférences Général Interface utilisateur : plusieurs options sont disponibles pour contrôler l'animation des menus ainsi que le masquage des options les moins souvent utilisées, sans oublier les éléments de couleur et de style ;
  • Dans le fenêtre d'information, il est maintenant possible de choisir quels onglets seront affichés et dans quel ordre (regardez Préférences Fenêtre d'information Onglets) ;
  • Nouvelles présentations des pièces : elles peuvent avoir des bordures 'antialias' semi-transparentes pour sembler lisses à n'importe quelle taille, supporte des couleurs personnalisables et les ombres ;
  • Nouvelles présentations des cases d'échiquier : toutes les cases d'échiquier peuvent maintenant être différentes et il est possible de spécifier des couleurs personnalisées ;
  • Nouvelle commande Coller (menu Edition) : elle détecte automatiquement si les données du presse-papiers sont une chaîne de caractères FEN, une partie entière au format PGN ou une liste partielle de coups et colle ça dans l'échiquier actif ;
  • Des commandes interfaces pour ajouter/enlever des cercles et des flèches lors de parties examinées en utilisant la souris ;
  • Timeseal intégré : il peut être disponible dans la Boîte de dialogue Options avancées de connexion ; le timeseal externe est toujours la valeur par défaut ;
  • Annonce des coups (Préférences Général Sons);
  • Nouveau graphique couleurs réelles pour toutes les barre d'outils et les icônes de menu.

Un fichier complet des modifications apportées est disponible sur "http://www.babaschess.net/versionhist.asp".

Note sur les fichiers de disposition des fenêtres enregistrées avec les versions précédentes

Cette nouvelle version est capable de lire les vieux fichiers de disposition des fenêtres, cependant il est recommandé de les enregistrer de nouveau en utilisant cette nouvelle version de BabasChess, puisque les vieux fichiers de disposition des fenêtres peuvent ne plus être compatibles dans le futur.


Connecting to the chess server

Se connecter au serveur d'échecs

Utilisez la commande [image] "Se connecter" dans le Menu Fichier (ou le bouton correspondant dans la barre d'outils) pour ouvrir la Boîte de dialogue Se connecter à FICS. Alors, si vous êtes un pseudo enregistré, entrez votre pseudo et votre mot de passe ; si vous n'êtes pas enregistré, vous pouvez vous connecter comme un "guest" (invité) : choisissez l'option "Se connecter en guest" et entrez un pseudo qui n'est pas encore utilisé sur le serveur, ou entrez "g" dans la case pseudo pour laisser le serveur choisir pour vous un pseudo de guest.


Window management

Gestion des fenêtres

L'interface utilisateur BabasChess deux types de fenêtres : les fenêtres dynamiques et les fenêtres documents. Ces deux types de fenêtres se comportent différemment de plusieurs façons :

Fenêtres Dynamiques

Les fenêtres dynamiques sont listées dans le Menu affichage ; les fenêtres dynamiques suivantes sont disponibles :

  • Console principale
  • Fenêtre channels
  • Fenêtre discussion
  • Fenêtre d'information

Vous pouvez configurer les fenêtres Dynamique en :

  • Fixe contre les coins de la fenêtre principale ;
  • Affiche ou masque automatiquement (mode masquer automatiquement) ;
  • Liens par des onglets vers les autres fenêtres dynamiques ;
  • Se superposer sur les autres fenêtres ;
  • Devenir une fenêtre documents (voir plus bas).

Les options au dessus peuvent être choisies à partir du menu de configuration de chaque fenêtre dynamique, qui peut être accessible par une des méthodes suivantes :

  • en cliquant sur le bouton de "flèche vers le bas" sur les boutons en haut à droite de la fenêtre dynamique ;
  • en utilisant le menu contextuel de la fenêtre dynamique (par un clic droit sur le titre de la fenêtre) ;
  • en utilisant le menu contextuel sur l'onglet approprié (par un clic droit) ;
  • dans le menu système MDI (si la fenêtre dynamique est configurée comme une fenêtre documents).

Les fenêtres dynamiques peuvent également être masquées (en cliquant sur leur bouton de fermeture, ou à partir du Menu Affichage) : s'il vous plait notez qu'il y a des options qui peuvent masquer automatiquement les fenêtres dynamiques dans certaines situations (regardez Préférences Console et discussion Fenêtre de discussion pour les fenêtres de discussion et de channels et Préférences Fenêtre d'information Onglets pour la fenêtre d'information).

Fenêtres Documents

Les fenêtres documents sont listées dans le Menu Fenêtre ; les fenêtres documents suivantes sont disponibles :

  • Fenêtre Echiquier
  • Toute fenêtre dynamique configurée comme fenêtre document.

Deux différents modes sont fournis pour travailler avec des fenêtres documents : le mode multiple documents (MDI) et le mode documents en onglets. Dans le mode multiple documents, BabasChess fournit une structure mère qui servira de récipient visuel et logique pour toutes les fenêtres documents. En mode documents en onglets, les documents sont placés côte à côte dans un système d'onglets. Vous pouvez changer le mode à partir du Menu Fenêtre (commande [image] "Fenêtres en onglets").

La disposition des fenêtres (fenêtres dynamiques, fenêtres documents, barre d'outils, barre de menu et la barre d'état) peut être sauvegardée dans un fichier et associée à différents évènements (comme lorsqu'une nouvelle partie commence) : regardez Préférences Avancé Disposition des fenêtres et Personnaliser BabasChess.


Playing a game

Jouer une partie

La façon la plus rapide pour trouver un adversaire c'est d'utiliser la commande "Obtenir vite un adversaire" dans le Menu Commandes rapides. Les autres façons pour trouver un adversaire sont : accepter une annonce seek (en utilisant la liste des seeks ou le graphe des seeks dans la Fenêtre d'Information), poster une annonce de partie en utilisant la boîte de dialogue [image] Seek, en défiant directement un pseudo en utilisant la boîte de dialogue [image] Match et, évidemment, en acceptant un défi dans le cas où vous êtes directement défié par un autre pseudo (regardez la Boîte de dialogue Requêtes).

Quand une partie commence, votre échiquier est automatiquement affiché : si vous le trouvez trop petit, vous pouvez le redimensionner (dans le cas où la Console Principale vous empêche d'agrandir la fenêtre échiquier, vous pouvez d'abord réduire la Console). Une autre façon de redimensionner la fenêtre échiquier est de fermer les autres fenêtres non nécessaires et alors d'utiliser la commande [image] "Disposition automatique" du Menu Fenêtre. Plus d'options avancées de disposition peuvent être paramétrées dans Préférences Avancé Disposition des fenêtres.

La zone sur la droite de l'échiquier montre votre pseudo, celui de votre adversaire ainsi que le temps restant à la pendule ; il y sera également affiché les pièces prises. Si vous avez les Blancs, vous devrez jouer immédiatement. Sinon, attendez que votre adversaire joue son coup. Pour pouvoir jouer votre coup, faites un glisser-déplacer de la pièce que vous voulez jouer de sa case de départ vers la case où vous voulez la déplacer.

Notes
Quand vous utilisez votre souris pour déplacer une pièce, cela n'enregistre pas le coup. A la place, cela envoie une instruction de coup au serveur (ex : ‘e4’ ou ‘Nf3’) qui, si le coup est légal, renvoie une nouvelle position sur l'échiquier. Le coup sera montré par votre interface en mettant les cases du coup en surbrillance (si vous avez sélectionné l'option correspondante dans Préférences Echiquier Mouvement de pièce et vous entendrez le son du coup joué (à moins que vous n'ayez désactivé les sons dans Préférences Général Sons). Il est important de se rappeler que le coup n'est pas joué tant que vous ne verrez pas les cases en surbrillance ni n'entendrez le son.

A cause de la nature d'Internet, vous ferez l'expérience du "lag" pendant que vous jouerez. Le “lag” fait référence au temps pour envoyer ou recevoir un coup du serveur d'échecs. Cela peut devenir un problème significatif lorsque vous jouerez, car le temps que prend un message pour transiter via le net peut compter comme temps de réflexion. BabasChess utilise le programme "timeseal" pour vous protéger des temps de transmission, si vous sélectionnez l'option correspondante dans préférences Fenêtre échiquier, le mot "(TS)" sera écrit à coté de la pendule des joueurs qui utilisent timeseal.


Examining/editing a game

Examiner/éditer une partie

Babaschess peut être utilisé pour examiner/éditer des parties à la fois sur le serveur que localement. Examiner une partie sur le serveur est pratique surtout lorsque plusieurs pseudos veulent analyser ensemble une partie, travailler localement est souvent préféré lorsqu'une personne souhaite revoir ou éditer des parties (en ajoutant des lignes, des commentaires ou des annotations) ou lorsqu'une connexion au serveur n'est pas possible. Vous ne pouvez examiner/éditer qu'une seule partie à la fois sur le serveur, mais plusieurs parties à la fois localement.

Examiner/éditer une partie localement
Il y a différentes façons de débuter l'examen/édition d'une partie localement :

  • Examiner/éditer une partie que l'on vient de jouer ou d'observer : tout échiquier inactif (i.e. une fenêtre échiquier dans laquelle une partie a été jouée ou observée) peut être utilisé localement en mode édition en utilisant la commande [image] "Mode Edition" du Menu Edition, ou le bouton correspondant dans la barre d'outils de partie en bas de l'échiquier ;
  • Examiner/éditer une partie PGN : vous pouvez ouvrir un fichier PGN en utilisant Boîte de dialogue Liste de parties en PGN ou simplement en glissant un fichier PGN directement dans la fenêtre principale de BabasChess à partir de n'importe quel explorateur Windows ;
  • Editer une partie à partir d'un 'scratch' : utilisez la commande [image] "Nouvelle partie locale" du Menu Edition.

Examiner/éditer une partie sur le serveur
Une session d'examen sur le serveur (habituellement simplement appelée "examine" (examen)) peut être commencée par :

  • Examiner une partie à partir de l'historique, du journal ou de la liste des parties ajournées d'un pseudo : la façon la plus simple est d'utiliser la Fenêtre Profil.
  • Examiner la dernière partie jouée : utilisez "Examiner la dernière partie" du Menu Actions.
  • Editer une partie à partir d'un 'scratch' du serveur : utilisez la commande [image] "Nouvelle partie sur le serveur (examine)" du Menu Edition.
  • Charger un fichier PGN sur le serveur pour l'examiner : choisissez "Ouvert comme" et ensuite "Examiner sur le serveur" à partir de la Boîte de dialogue Liste de parties en PGN.


Getting help on the server

Obtenir de l'aide sur le serveur

Dans le cas où vous auriez besoin d'aide, après vous être connecté au serveur d'échecs, vous pouvez ouvrir le Menu Aide et choisir la commande "Demander de l'aide sur le serveur". Cela ouvrira la Fenêtre channels sur un channel où vous pourrez poser votre question (en anglais) aux autres pseudos.


Observing a game

Observer une partie

Il y a plusieurs façons d'observer une partie en utilisant BabasChess ; vous pouvez :

  • Utiliser la commande "Observer une partie élevée" dans le Menu Commandes rapides, qui vous permettra d'observer automatiquement le blitz entre deux pseudos humains où l'un des participants est le joueur au plus fort classement en blitz jouant actuellement ;
  • Faire un clic droit sur le nom d'un pseudo dans la console et choisir l'action [image] "Observer" ;
  • Aller dans l'onglet "Parties" de la Fenêtre d'Information et double cliquer sur une partie (ou utiliser le menu contextuel) ;
  • Aller dans l'onglet "Joueurs" de la Fenêtre d'Information, faire un clic droit sur un pseudo et choisir l'action [image] "Observer" ;
  • Taper la commande "observe <pseudo>" ou "observe <numéro_de_partie>" dans la Console principale.

Vous pouvez observer plusieurs parties à la fois : utilisez les commandes dans le Menu Fenêtre pour arranger les fenêtres telles que vous les voulez. Si l'option "Disposition intelligente" est cochée dans Préférences Avancé Disposition des fenêtres, BabasChess se souviendra automatiquement de la dernière disposition que vous avez utilisé compte tenu du nombre de fenêtres Echiquiers ouvertes.


Customizing BabasChess

Personnaliser BabasChess

BabasChess est extrêmement personnalisable : la plupart de ses options peuvent être changées par la commande [image] "Préférences" du Menu Fichier. La(les) première(s) fois que vous utilisez BabasChess, vous pourrez trouver très utile l'Assistant de configuration (qui vous guidera à configurer les options principales) et Thèmes (des jeux de préférences prédéfinies pour vous aider à configurer rapidement BabasChess), mais une fois que vous serez plus familier avec BabasChess, vous devrez utiliser la commande [image] "Préférences".

Les valeurs des préférences sont automatiquement sauvegardées lorsque BabasChess est fermé. Il est aussi possible d'importer/exporter les préférences de/vers un fichier en utilisant les commandes [image] "Importer préférences" et [image] "Exporter préférences" du Menu Fichier.

La position et le comportement des différentes fenêtres de BabasChess sont extrêmement personnalisables : s'il vous plait regardez Gestion des fenêtres pour plus d'informations.

Plus d'options de personnalisation de BabasChess incluent :

  • Sauvegarder vos dispositions de fenêtres favorites (en utilisant la commande [image] "Enregistrer disposition" du Menu Fenêtre) et de les associer à des évènements par Préférences Avancé Disposition des fenêtres ;
  • Paramétrer vos propres boutons personnalisables, commandes rapides et clic droit de la souris, en utilisant la Boîte de dialogue Configurer les boutons paramétrables ;
  • Créer des raccourcis clavier en utilisant la Boîte de dialogue Raccourcis clavier ;
  • Associer des scripts à des évènements ou des planificateurs de tâches ;
  • Configurer la liste des liens web en utilisant la Boîte de dialogue Configurer les liens web.


Board Window

Fenêtre Echiquier

Une fenêtre échiquier sera automatiquement ouverte lorsque vous commencerez à jouer, observer ou examiner une partie et quand vous choisissez la commande [image] "Echiquier" dans le Menu Affichage.

Plusieurs échiquiers peuvent être créés lorsque vous observez plusieurs parties, ou quand vous jouez au bughouse ; notez bien que les commandes que vous demanderez s'appliqueront à la fenêtre "active" (c'est la fenêtre qui a la barre de titre en surbrillance) : pour activer une fenêtre, cliquez simplement dessus.

Chaque fenêtre échiquier comprend :

  • une représentation graphique de l'échiquier : cliquez et faites glissez la pièce pour effectuer votre coup lorsque c'est votre tour ;
  • les pièces prises (lors de parties de crazyhouse ou de bughouse, au lieu des pièces prises, ce sont les pièces "disponibles" qui sont affichées : cliquez, faites glisser et relâchez la souris pour poser une pièce sur l'échiquier) : vous pouvez utiliser [image] "Montrer les pièces prises" du Menu Partie pour mettre/enlever la visualisation des pièces prises ;
  • les pendules montrant le temps restant à chacun des joueurs ;
  • les pseudos et classements des joueurs ;
  • la force matérielle restante des deux joueurs : utilisez l'option "Montrer la force matérielle" des Préférences Fenêtre échiquier pour l'afficher/masquer ;
  • informations à propos du type de partie jouée ;
  • la liste des coups (sur la droite) : utilisez la commande [image] "Montrer les coups" du Menu Partie pour l'afficher/masquer ;
  • la console partie (en bas) : utilisez la commande [image] "Montrer la console partie" du Menu Partie pour l'afficher/masquer ; la console partie contient les onglets suivants :
    • la fenêtre Discussion (affiche les messages relatifs à la partie et vous permet de parler à votre adversaire (Say), à votre partenaire si vous jouez un bughouse (PTell), aux observateurs (Whisper) ou aux joueurs et observateurs de la partie (Kibitz)) ;
    • la fenêtre Commentaire : vous permet de voir/éditer des commentaires dans des parties en format pgn ;
    • la fenêtre Analyse : vous permet d'analyser la position actuelle en utilisant le programme d'échecs choisis dans Préférences Fenêtre échiquier (2) ;
    • la fenêtre Observateurs : affiche les pseudos observant la partie actuelle.
  • la barre d'outils (en bas) : utilisez la commande [image] "Barre d'outils partie" du Menu Partie pour l'afficher/masquer ; la barre d'outils de partie contient des commandes utiles pendant les parties.

Vous pouvez afficher le menu contextuel pour l'échiquier en cliquant sur l'échiquier avec le bouton droit de la souris : il contient des commandes utiles pendant la partie (également présentes dans le Menu Partie).

Voir aussi

Menu Partie

Menu Edition

Menu Fenêtre

Préférences Echiquier

Préférences Echiquier (2)

Préférences Fenêtre échiquier

Préférences Fenêtre échiquier (2)


Console Window

Console principale

La console principale vous affiche toutes les données qui viennent du serveur d'échecs et vous permet de saisir des commandes.

Vous pouvez afficher/masquer la console principale en utilisant la commande [image] "Console principale" du Menu Affichage.

Vous pouvez afficher le menu contextuel de la console principale en faisant un clic droit dans la zone de texte ; il contient des commandes générales (comme "Tout sélectionner", [image] "Copie vers le presse-papiers", [image] "Bloquer le défilement", ...) et "actions de souris", qui sont des commandes exécutées sur le mot sur lequel vous avez fait le clic droit (en général le nom d'un pseudo) ; les actions principales de la souris sont :

  • Match : affiche la Boîte de dialogue Proposer une partie pour défier le pseudo sélectionné ;
  • Discuter : ouvre la Fenêtre Discussion pour parler au pseudo sélectionné ;
  • Profil : ouvre la Fenêtre Profil du pseudo sélectionné ;
  • Finger : fourni les informations générales au sujet du pseudo sélectionné ;
  • Historique : fourni l'historique des dernières parties du pseudo sélectionné ;
  • Observer : observe la partie jouée par le pseudo sélectionné ;
  • Message : vous permet d'envoyer un message au pseudo sélectionné ;
  • Suivre : observer automatiquement chaque partie jouée par le joueur sélectionné.

Il est possible d'ajouter des actions pour le menu contextuel du clic droit de la souris (regardez Personnaliser BabasChess). Un menu contextuel très similaire est affiché dans l'onglet Discussion de la fenêtre échiquier, dans les fenêtres Discussion et Channels et au niveau de l'Echiquier (en cliquant sur le nom d'un pseudo).

La commande principale garde un historique de vos dernières commandes ; utilisez les flèches de direction haut/bas pour les faire défiler, de plus il essaie de compléter automatiquement la commande que vous êtes en train de saisir ; ces deux caractéristiques peuvent être désélectionnées dans Préférences Console.

Voir aussi

Préférences Console

Personnaliser BabasChess

Boite de dialogue Configurer les boutons paramétrables

Menu Affichage


Info Window

Fenêtre d'Information

La Fenêtre d'Information vous permet de naviguer parmi les fenêtres suivantes (en choisissant l'onglet correspondant) :

  • Offres en cours : affiche les offres que vous avez faites à d'autres pseudo et vice versa ; vous pouvez faire un clic droit sur chaque offre pour l'accepter/refuser/retirer ;
  • Liste des seeks : affiche les annonces faites par les autres pseudos (mais uniquement ceux concordant avec votre formule de partie) ; vous pouvez changer le tri en cliquant sur le titre de la colonne correspondante et choisir plusieurs options grâce au menu contextuel (clic droit) ; pour accepter une partie vous pouvez double-cliquer dessus ou utiliser le menu contextuel ;
  • Graphe des seeks : affiche les annonces faites par les autres pseudos sous forme graphique (mais uniquement celles concordantes avec votre formule de partie) ; pour accepter une partie vous pouvez double-cliquer dessus ou utiliser le menu contextuel ;
  • Joueurs : affiche les informations sur les autres pseudos du serveur ; vous pouvez changer le tri en cliquant sur le titre de la colonne correspondante et choisir plusieurs options grâce au menu contextuel (clic droit) ;
  • Parties : affiche les informations des parties jouées et/ou examinées sur le serveur ; vous pouvez changer le tri en cliquant sur le titre de la colonne correspondante et choisir plusieurs options grâce au menu contextuel (clic droit) ;
  • Amis : affiche les pseudos de votre liste notify actuellement connectés et les pseudos actuellement connectés vous ayant sur leur liste notify ; un clic droit sur le nom d'un pseudo affiche un menu contextuel.

Vous pouvez utiliser la commande [image] "Fenêtre d'Information" du Menu Affichage pour afficher/masquer la Fenêtre d'Information. Si l'option "Afficher l'onglet "offres en cours" lorsqu'une nouvelle offre est faite" dans Préférences Fenêtre d'information Onglets est cochée, la Fenêtre d'Information sera automatiquement affichée lorsque vous recevrez une offre.

Voir aussi

Préférences Fenêtre d'information Apparence

Préférences Fenêtre d'information Onglets

Menu Affichage

Menu Fenêtre


Chat Window

Fenêtre Discussion

La fenêtre Discussion vous permet de discuter avec un autre pseudo sans devoir taper la commande "tell <pseudo>". Quand vous parlez à plusieurs personnes à la fois, utilisez les onglets pour passer d'une conversation à une autre ; clic droit sur les onglets pour fermer la fenêtre de discussion correspondante.

Vous pouvez utiliser la commande [image] "Fenêtre discussion" du Menu Affichage pour afficher/masquer la fenêtre de discussion. Si l'option "Montrer la fenêtre discussion quand un nouveau tell privé est reçu" est cochée dans Préférences Discussion, la fenêtre Discussion sera automatiquement affichée lorsque vous recevrez un tell privé de la part d'un pseudo.

Voir aussi

Préférences Discussion

Menu Affichage

Menu Fenêtre


Channel Window

Fenêtre Channels

La fenêtre channel vous permet de suivre les discussions de channel de façon séparée et de pouvoir parler dans un channel sans devoir utiliser la commande "tell <numéro>". La fenêtre channel est automatiquement synchronisée avec votre liste de channel sur le serveur (commande "showlist channel"). Utilisez [image] "Liste des channels" du Menu Affichage pour choisir vos channels (c'est plus confortable que d'utiliser les commandes "sublist channel" ou "addlist channel").

Vous pouvez utiliser la commande [image] "Fenêtre channel" du Menu Affichage pour l'afficher/masquer. Si l'option "Montrer la fenêtre channel quand un nouveau tell de channel est reçu" est cochée dans Préférences Console et discussion Fenêtre de discussion, la fenêtre Channel sera automatiquement affichée lorsqu'un pseudo émettra un tell de channel dans un des channels que vous écoutez.

Vous pouvez également ajouter un onglet "shout" et un autre "c-shout" à votre fenêtre Channel, pour respectivement voir et émettre des shouts et des c-shouts (regardez les options dans Préférences Console et discussion Fenêtre de discussion).

Voir aussi

Préférences Console et discussion Fenêtre de discussion

Menu Affichage

Menu Fenêtre

Boite de dialogue Choisir les channels


Profile Window

Fenêtre Profil

Cette fenêtre vous montre les informations principales d'un pseudo, incluant ses notes de finger, l'interface utilisée, les variables du serveur, la formule de match, les dernières parties jouées (historique), les parties ajournées et les parties dans le journal. Vous pouvez ouvrir votre propre profil en utilisant la commande [image] "Votre profil" dans le Menu Affichage, ou ouvrir le profil d'un autre pseudo en utilisant le clic droit sur son nom dans la fenêtre console, dans la liste des joueurs de la Fenêtre d'Information ou dans la Fenêtre Echiquier. Plusieurs fenêtres Profil peuvent être ouvertes en même temps.
A partir de votre propre fenêtre Profil vous pouvez modifier vos notes de finger avec l'Editeur de notes de finger, vos variables de serveur avec la Boîte de dialogue Variables serveur et établir votre formule de partie avec l'Assistant de formule de match.

Voir aussi

Menu Affichage

Editeur de notes de finger

Boîte de dialogue Variables serveur

Assistant de formule de match


File menu commands

Commandes du menu Fichier

Le menu Fichier propose les commandes suivantes :

Se connecter... | Ouvre la Boîte de dialogue Se connecter à FICS pour se connecter au serveur d'échecs
Se déconnecter | Ferme la connexion avec le serveur d'échecs
Ouvrir un fichier pgn... | Ouvre un fichier PGN et affiche la liste des parties dans la Boîte de dialogue Liste de parties Pgn
Sauvegarder en (B)PGN... | Exporte la partie de l'échiquier actif dans un fichier au format PGN (ou BPGN si c'est une partie de bughouse)
Ouvrir le répertoire des fichiers PGN | Ouvre le répertoire où les fichiers PGN sont sauvegardés par défaut
Préférences... F11 | Ouvre la Fenêtre Préférence
Thèmes… | Vous permet de choisir une configuration parmi un jeu de préférences prédéfinies
Enregistrer les préférences... | Enregistre les préférences actuelles
Enregistrer les préférences en quittant | Si c'est coché, vos préférences seront automatiquement enregistrées lorsque vous quitterez BabasChess
Préférences par défaut... | Restaure les valeurs pas défaut des préférences
Assistant de configuration... | Lance l'Assistant de configuration
Exporter préférences... | Exporte les préférences actuelles vers un fichier
Importer préférences... | Charge un fichier de préférences
Langue... | Ouvre la Boîte de dialogue Langue
Quitter | Quitte BabasChess


View menu commands

Commandes du menu Affichage

Le menu Affichage propose les commandes suivantes :

Barre d'outils | Affiche/masque la barre d'outils
Barre d'état | Affiche/masque la barre d'état
Console principale | Affiche/masque la Console principale
Fenêtre d'Information | Affiche/masque la Fenêtre d'Information
Fenêtre Channels | Affiche/masque la Fenêtre Channels
Fenêtre Discussion | Affiche/masque la Fenêtre Discussion
Boutons personnalisables | Affiche/masque les boutons personnalisables
Echiquier | Affiche l'échiquier principal ou crée une fenêtre échiquier si aucun échiquier n'est présent
Liste de parties en pgn | Affiche/masque la liste des parties du fichier pgn actuel
Plein écran | Active/désactive le mode en plein écran
Paramétrage de l'échiquier DGT | Affiche/masque la fenêtre de paramétrage d'un échiquier électronique (s'il est présent et correctement installé)
Onglet précédent | Vous déplace à l'onglet précédent (disponible uniquement si la fenêtre active comporte plus d'un onglet)
Onglet suivant | Vous déplace à l'onglet suivant (disponible uniquement si la fenêtre active comporte plus d'un onglet)
Liste des channels | Ouvre la Boîte de dialogue Choisir les channels
Messages... | Ouvre la Boîte de dialogue Messages
Votre profil... | Ouvre votre Fenêtre Profil
Variables du serveur | Ouvre la Boîte de dialogue Variables serveur
Assistant de formule | Lance l'Assistant de formule
Règles de pseudos... | Vous permet de configurer des attitudes particulières pour des pseudos spécifiques, comme censurer, pas de partie, personnaliser les couleurs et les sons


Actions menu commands

Commandes du menu Actions

Le menu Actions propose les commandes suivantes :

Ouvert aux défis | Pour être ouvert ou fermé aux défis (en modifiant votre variable "open")
Ouvert aux bughouse | Pour être ouvert ou fermé aux partenariats de bughouse (en modifiant votre variable "bugopen")
Jouer en silence | Pour entendre ou non les tells de channel et les shouts lorsque vous jouez (en modifiant votre variable "silence")
Seek | Ouvre la Boîte de dialogue Faire un seek
Match | Ouvre la Boîte de dialogue Proposer une partie
Revanche | Propose à votre dernier adversaire un défi identique à la dernière partie que vous avez joué contre lui
Envoyer un message... | Vous permet d'envoyer un message à un autre pseudo
Dernière partie en e-mail | Envoie les coups de votre dernière partie dans votre messagerie électronique
Examiner la dernière partie | Ouvre votre dernière partie en mode examen
Accepter | Accepte l'offre reçue (si vous recevez plus d'une offre, utilisez Offres en cours dans la Fenêtre d'Information)
Refuser | Refuse l'offre reçue (si vous recevez plus d'une offre, utilisez Offres en cours dans la Fenêtre d'Information)
Taper une commande | Place le curseur dans la ligne de saisie de la Console principale pour vous permettre d'envoyer une commande au serveur (Si la Console principale est masquée, elle sera alors automatiquement affichée)
Message de discussion | Vous met dans la Fenêtre Discussion pour vous permettre d'envoyer un tell
Message de channel | Vous met dans la Fenêtre Channels pour vous permettre d'envoyer un tell dans le channel actif
Afficher liste | Le sous menu vous affiche vos listes [image] notify, [image] gnotify, [image] noplay et [image] censor ; le résultat est affiché dans la Console principale.
Saluer l'adversaire | Salue votre adversaire actuel (ou le dernier). Vous pouvez configurer le message à envoyer par Préférences Général Autres options.
Féliciter votre adversaire | Félicite votre adversaire actuel (ou le dernier). Vous pouvez configurer le message à envoyer par Préférences Général Autres options.
Finger de l'adversaire | Montre le finger (informations) de votre adversaire actuel (ou du dernier) ; le résultat est affiché dans la Console principale.
Historique de l'adversaire | Affiche l'historique (10 dernières parties) de votre adversaire actuel (ou du dernier) ; le résultat est affiché dans la Console principale.
Pstat adversaire | Montre vos statistiques face à votre adversaire actuel (ou du dernier) ; le résultat est affiché dans la Console principale.
The Boss! | Exécute la commande "The Boss!"


Game menu commands

Commandes du menu Partie

Le menu Partie propose les commandes suivantes :

Avorter | Demande à votre adversaire d'avorter la partie (si la partie en est à son début, la partie sera automatiquement avortée sans nécessiter l'approbation de votre adversaire)
Ajourner | Demande à votre adversaire d'ajourner la partie et de la reprendre plus tard
Nulle | Réclame la nullité immédiatement si vous y avez le droit ; sinon propose à votre adversaire une nulle par accord
Abandonner | Abandonne la partie que vous êtes en train de jouer en accordant la victoire à votre adversaire
Pause | Demande à votre adversaire de mettre en pause la partie que vous êtes en train de jouer bien que non ajournée. Une requête de pause acceptée a pour effet de ramener les temps de la pendule tels qu'ils étaient lors du dernier coup joué
Fin de pause | Demande que la partie mise en pause soit reprise, la pendule redémarrant
Reprise de coup | Demande à votre adversaire de reprendre un demi-coup ; utilisez la commande serveur "takeback <n>" pour demander une reprise de n demi-coups
Entrez le prochain coup | Vous permet d'entrer le prochain coup que vous jouerez au clavier
Fin d'observation | Mettre fin à l'observation d'une partie
Montrer les observateurs | Montre les pseudos observant ou jouant la partie active (le résultat est affiché dans la Console principale)
Gain auto au temps | Si c'est coché, le serveur vous accordera automatiquement le gain au temps (ce qui signifie : réclamer la victoire lorsque votre adversaire épuise son capital temps) si votre adversaire essaie de jouer un coup alors que sa pendule affiche 0:00 ou moins
Bascule l'échiquier | Change l'orientation de l'échiquier actif
Promouvoir en | Le sous-menu vous permet de désigner par avance la pièce en laquelle le pion va se promouvoir en atteignant la dernière rangée ou active la fenêtre popup de promotion
Barre d'outils partie | Montre/masque la barre d'outils en bas de la Fenêtre Echiquier active
Montrer la console partie | Montre/masque la console de la Fenêtre Echiquier active
Montrer les coups | Montre/masque la liste des coups de la Fenêtre Echiquier active
Position de la pendule et des noms | Le sous-menu vous permet de choisir parmi différentes options de disposition pour l'échiquier actif
Pièces prises | Le sous-menu vous permet de choisir parmi différentes options l'affichage des pièces prises/disponibles pour l'échiquier actif


Edit menu commands

Commandes du menu Edition

Le menu Edition propose les commandes suivantes :

Nouvelle partie sur le serveur (examine) | Crée une nouvelle partie en mode examen sur le serveur
Nouvelle partie locale | Crée une nouvelle partie en pgn localement où vous pourrez éditer la liste des coups
Mode Edition | Active/désactive le "mode édition", où vous pourrez modifier les coups de la partie en cours
Entrer une position | Active/désactive le "mode bsetup", où vous pourrez entrer n'importe quelle position de départ
Propriétés de la partie... | Vous permet d'éditer les différentes propriétés de la partie
Type de partie et position initiale... | Vous permet de choisir le type de partie et la position de départ
Examiner | Ce sous-menu contient des commandes utiles lorsque vous examinez une partie
Annuler | Annule la dernière action faîte dans l'éditeur PGN
Rétablir | Rétabli la dernière action faite dans l'éditeur PGN
Supprimer la ligne | Supprime la ligne actuelle ainsi que toutes ses variantes
Promouvoir la ligne | Promeut la ligne actuelle
Tronquer la ligne... | Supprime tout les coups joués après celui de sélectionné
Supprimer toutes les lignes... | Supprime toutes les lignes du PGN de la partie
Annotations | Ce sous-menu contient des commandes pour ajouter/supprimer des annotations de coups
Copie vers le presse-papiers en pgn | Copie la position actuelle de la partie vers le presse-papier au format PGN
Copie vers le presse-papiers en fen | Copie la position actuelle de la partie vers le presse-papier au format FEN
Coller | Colle le PGN d'une partie, une position FEN ou une séquence de coups du presse-papiers vers l'échiquier actuel
Charger vers le serveur | Débute un examen sur le serveur en chargeant les coups de la partie dans une fenêtre échiquier
Dupliquer une partie | Crée une nouvelle fenêtre échiquier avec la même partie ; cela peut être très pratique pour analyser différentes lignes
Analyser la partie... | Vous permet d'utiliser un moteur d'analyse pour analyser tout les coups de la partie actuelle et d'ajouter automatiquement des annotations et des commentaires


Quick-commands menu

Menu Commandes rapides

Le menu Commandes rapides propose les commandes suivantes :

Obtenir vite un adversaire | Vous permet de chercher n'importe quel type de partie à jouer en utilisant une seule commande. Elle vérifiera automatiquement toutes les annonces en cours pour voir si une peut correspondre et créera une annonce seek si aucune n'est trouvée
Observer une partie élevée | Vous permet d'observer la partie de blitz entre deux humains dont l'un d'entre eux est l'humain le mieux classé en train de jouer au blitz
Configurer les commandes rapides | Ouvre la Boîte de dialogue Configurer les boutons paramétrables, qui vous permet d'ajouter/supprimer/modifier le reste du menu


Window menu commands

Commandes du menu Fenêtre

Le menu Fenêtre propose les commandes suivantes :

Sauvegarder disposition | Sauvegarde l'arrangement actuel des fenêtres dans un fichier ; les dispositions enregistrées peuvent être chargées manuellement en utilisant la commande "Charger disposition" ou configurer un chargement automatique lorsque certains évènements se produisent (regardez Préférences Avancé Disposition des fenêtres)
Charger disposition | Vous permet de charger une disposition précédemment sauvegardée
Disposition automatique | Arrange toutes les fenêtres de manière automatique (excepté la Console principale), en réservant si possible plus de place pour l'(les) échiquier(s), et si possible ne pas laisser les fenêtres se chevaucher
Cascade | Arrange les fenêtres dans une présentation de chevauchement en cascade
Mosaïque verticale | Arrange les fenêtres dans une présentation verticale sans chevauchements
Mosaïque horizontale | Arrange les fenêtres dans une présentation horizontale sans chevauchements
Ranger icônes | Arrange les icônes des fenêtres minimisées
Fenêtres en onglets | Active/désactive l'affichage des fenêtres en onglets. Lorsque l'affichage des fenêtres en onglets est activé, les fenêtres échiquiers (et les autres fenêtres filles) seront organisées en utilisant des "onglets". Regardez Gestion des fenêtres.

De plus, le menu Fenêtre montre la liste des fenêtres actuellement ouvertes, donc vous pouvez rapidement en rendre une active.


Plugins menu commands

Commandes du menu Plugins

Le menu Plugins propose les commandes suivantes :

Configurer...

Vous permet d'installer ou désinstaller les plugins


Help menu commands

Commandes du menu Aide

Le menu Aide propose les commandes suivantes, qui vous permettent de vous fournir de l'aide pour l'utilisation de ce programme :

Aide | Affiche ce document d'aide
Aide thème | Vous offre un index pour trouver le thème pour lequel vous voulez de l'aide
Aide contextuelle | Bascule en mode "aide contextuelle" : cliquez sur un élément de l'interface pour obtenir l'aide spécifique à celui-ci (si c'est disponible) ; pendant le mode aide contextuelle un petit point d'interrogation est affiché à côté du pointeur de la souris
Sites web utiles | Affiche une liste de liens vers des sites web (vous pouvez la configurer par la Boîte de dialogue Configurer les liens web)
Plus fréquentes questions... | Plus fréquentes questions posées à propos de BabasChess
Demander de l'aide sur le serveur | Ouvre la Fenêtre Channels et active automatiquement le channel de l'aide, ainsi vous pouvez demander une aide humaine sur le serveur d'échecs
A propos de BabasChess | Ouvre la Boîte de dialogue A propos


Configuration wizard

Assistant de configuration

Cet assistant est lancé la première fois que vous exécutez BabasChess, ou quand vous choisissez [image] "Assistant de configuration" dans le Menu Fichier. Il peut vous guider à travers la configuration initiale du programme.

Voir aussi

Menu Fichier


Formula wizard

Assistant de formule de match

Cet assistant vous permet d'établir facilement votre variable formule (filtre de parties) : pour lancer cet assistant, choisissez la commande [image] "Assistant de formule" du Menu Affichage.

Voir aussi

Menu Affichage


Server preferences

Préférences Général Serveur

Cette page des préférences contient les options concernant la connexion avec le serveur d'échecs. Si vous êtes un pseudo enregistré, entrez votre pseudo (nom d'utilisateur) et votre mot de passe ; si vous souhaitez vous connecter au serveur comme invité (guest), cochez l'option "Se connecter en guest" et choisissez un pseudo qui n'est pas encore utilisé sur le serveur, ou mettez "g" dans la case pseudo pour laisser le serveur choisir pour vous un pseudo de guest non encore utilisé. La plupart de ces options sont également disponibles dans la Boîte de dialogue Se connecter à FICS.

Si vous avez plusieurs compte sur un serveur, ou que vous vous connectez à différents serveurs, vous pouvez créer de multiples Configurations : chaque configuration a ses propres Pseudo, Mot de Passe, Script de Connexion et son propre jeu d' Options avancées de connexion.

Mémoriser le pseudo et le mot de passe
Quand c'est coché, le pseudo est le mot de passe sont stockés sur votre ordinateur, ainsi vous n'avez pas besoin de les ressaisir à chaque fois. N'utilisez pas cette option si vous vous connectez à partir d'un ordinateur public.

Se connecter automatiquement au lancement
Quand c'est coché, BabasChess essaiera automatiquement de se connecter au serveur à chaque fois que vous lancerez BabasChess ; cette option est souvent utilisée en même temps que l'option précédente, pour se connecter automatiquement au serveur sans n'avoir rien d'autre à faire que de lancer BabasChess.

Bouton Avancé
Ouvre la Boîte de dialogue Options avancées de connexion.

Script de connexion
Vous permet de définir les commandes que vous voudrez automatiquement exécuter à chaque fois que vous vous connectez au serveur d'échecs.

Macro
Insère une macro dans le script à l'emplacement du curseur.

Commande
Insère une commande d'interface dans le script à l'emplacement du curseur.

Voir aussi

Boîte de dialogue Se connecter à FICS


Save-games preferences

Préférences Général Enregistrer les parties

Cette page des préférences contient des options pour configurer comment BabasChess devra sauvegarder vos parties dans des fichiers.

Enregistrer automatiquement les parties jouées au format (B)PGN
Si c'est coché, chaque partie que vous jouez/observez sera rajoutée à un fichier PGN (ou BPGN si c'est une partie de bughouse). Le nom du fichier PGN est déterminé en ajoutant au "chemin" choisit (qui contiendra à la fois le chemin et la première partie du nom de fichier), les suffixes correspondants aux options choisies ("Par type de partie", "Par date", "Par adversaire") : si aucune option n'est cochée, un unique fichier pgn sera généré.

Ajouter les informations de pendule aux fichiers PGN
Si c'est coché, cette option vous permettra de voir le temps restant après chaque coup lors de l'examen de la partie. Deux formats sont disponibles : la commande [%clk h:m:s] définie dans An extension to the PGN standard et la nouvelle [%clkms ms] qui permet de sauvegarder les informations de pendules à la milliseconde près. Ces informations de pendule seront affichées comme commentaires par les programmes de visualisation de fichiers PGN qui ne supportent pas cette extension du PGN standard.

Voir aussi

Fenêtre échiquier

Jouer une partie

Menu Fichier


Sound preferences

Préférences Général Sons

Cette page des préférences vous permet de personnaliser les sons de BabasChess. Un son différent peut être associé à n'importe quel "évènement" disponible. Pour pouvoir ajouter un nouveau son, copiez simplement le fichier wave dans le sous répertoire Data\Sound du répertoire d'installation de BabasChess.

Activer les sons
Si ce n'est pas coché, vous n'aurez pas de sons en utilisant BabasChess.

Les sons de Bughouse dans les tells de partenaire
Si c'est coché, les tells de partenaires correspondant à un fichier son de type "Bughouse <texte>.wav" dans le répertoire data\sound alors vous entendrez ce fichier son. Par exemple : si votre partenaire vous dit "Yes", alors le son "Bughouse YES.wav" sera joué s'il est présent dans le répertoire Data\Sound.

Pas de sons des autres fenêtres quand je joue
Quand c'est coché, les sons ayant traits à des évènements se produisant sur d'autres échiquiers lorsque vous-même jouez ne seront pas exécutés.

Ne jamais avoir les sons sur les échiquiers observés
Quand c'est coché, les sons ayant traits aux évènements se produisant sur les échiquiers observés ne seront jamais entendus.

Coups annoncés
Ouvre une boîte de dialogue qui vous permet de configurer les coups annoncés. Note : un répertoire contenant les sons d'annonce des coups pour les échiquiers DGT doit être créé (Il n'est pas fourni par BabasChess, mais vous pouvez le télécharger gratuitement à partir du site internet DGT à l'adresse suivante : http://www.dgtprojects.com).

Ecouter
Permet d'entendre le fichier son sélectionné.

Entendre les sons emote dans les Tells privés/Tells de Channel/Shouts et c-shouts/Whispers/Kibitzs/Tells du partenaire
Un "son emote" est une façon d'enrichir un texte de discussion d'un son ; cela consiste en une suite de caractères de la forme suivante : "!BCS->(nom du son)". Ces options vous permettent de configurer pour quel types de communications vous souhaitez entendre des sons emote.

Vous pouvez facilement insérer un son emote en utilisant le bouton [image] sur la gauche de la ligne de saisie dans n'importe quelle console ; notez que les autres pseudos n'entendront les sons emote que s'ils utilisent une interface permettant les sons emote et qu'en plus ces interfaces aient un son avec le même nom.

Pas de sons emote si vous jouez
Si c'est coché, les sons emote ne seront jamais entendus lorsque vous jouez.


User-interface preferences

Préférences Général Interface utilisateur

Cette page des préférences vous permet de configurer l'apparence et le comportement de l'interface utilisateur.

User interface style
Un jeu d'options pour configurer l'aspect visuel de l'interface utilisateur.

Menus et barres d'outils
Cette option vous permet de configurer l'animation des menus, les ombres, masquage des fonctions rarement utilisées dans les menus (lorsque Toujours afficher entièrement les menus n'est pas coché), et agrandir la taille de la barre d'outils ou des icônes.

Fenêtres réduites
Des options pour configurer les fenêtres iconisées ou les fenêtres masquées. Regardez Gestion des fenêtres pour plus d'information sur les iconisations, les masquages et les autres types de fenêtres.

Voir aussi

Menu Fenêtre

Gestion des fenêtres


General preferences

Préférences Général Autres options

Cette page des préférences contient différentes options pour personnaliser BabasChess.

Montrer une fenêtre popup quand une partie se termine
Affiche automatiquement la Boîte de dialogue Partie terminée lorsqu'une partie se fini. Si Seulement sur l'échiquier est coché, la Boîte de dialogue Partie terminée n'est pas affichée pour les parties examinées ou observées.

Montrer les défis dans une fenêtre popup
Si c'est coché, la Boîte de dialogue Requêtes sera affichée chaque fois que vous recevrez une offre de partie de la part d'un autre pseudo.

Montrer les autres requêtes dans une fenêtre popup
Si c'est coché, la Boîte de dialogue Requêtes sera affichée à chaque fois que vous recevrez une requête de la part d'un joueur (comme les offres de nulles, de partenariat pour jouer au bughouse, ...). Si Seulement quand je ne joue pas est coché, la Boîte de dialogue Requêtes ne sera pas affichée si vous êtes en train de jouer.

Observer automatiquement les parties notifiées
Si c'est coché, chaque fois que vous recevrez une "notification de partie" (c'est à dire quand un des pseudos sur votre liste "gnotify" commence une nouvelle partie), BabasChess observera automatiquement la partie.

Arrêter automatiquement "follow" lorsque vous jouez
Si c'est coché, lorsque vous commencez une partie et que vous suiviez un joueur (avec la commande "follow"), BabasChess exécutera automatiquement la commande "unfollow".

Voir aussi

Menu Actions

Fenêtre d'Information

Boîte de dialogue Requêtes

Boîte de dialogue Partie terminée


The-Boss! preferences

Préférences Général The-Boss!

Cette page des préférences vous permet de personnaliser la commande [image] "The Boss!". Si l'option "The Boss!" est active, en cliquant sur le bouton correspondant dans la barre d'outils ou le menu action (ou le raccourci clavier Ctrl+B, s'il est disponible), la fenêtre BabasChess sera immédiatement réduite en un pictogramme dans la barre des tâches :

Si vous utilisez la commande "The Boss!" pendant que vous jouez, un message personnalisable sera automatiquement envoyé à votre adversaire.

Pour quitter le mode "The Boss!" et restaurer la fenêtre BabasChess, faites un clic droit sur le pictogramme de la barre des tâches et choisissez "Restaurer" du menu contextuel : si l'option "Fenêtre de restauration avec mot de passe" est cochée, il vous sera demandé de fournir un "Mot de passe" pour restaurer la fenêtre BabasChess.

Voir aussi

Menu Actions


Console preferences

Préférences Console et discussion Paramètres

Cette page des préférences vous permet de configurer l'apparence du texte dans la Console principale et dans les autres consoles (Console de partie, Fenêtre Discussion, Fenêtre Channels).

Effacer la ligne de commande après validation
Si c'est coché, quand vous appuyez sur la touche entrée pour valider la commande, la ligne de saisie est effacée ; sinon le texte reste visible (mais est en surbrillance, donc vous pourrez l'effacer en pressant n'importe quelle touche).

Garder l'historique des commandes
Si c'est coché, la Console principale garde en mémoire l'historique des dernières commandes que vous avez saisies : utilisez les flèches haut/bas pour les retrouver. Cliquez sur le bouton Effacer l'historique des commandes pour effacer ces données.

Compléter la fin de la commande
Si c'est coché, la Console principale essaie de compléter automatiquement la commande que vous saisissez, en utilisant votre historique des commandes.

Utiliser les smileys
Si c'est coché, BabasChess convertira automatiquement les caractères Ascii correspondant à des smileys connus en le dessin associé (par exemple ":-)" sera converti en " [image] "). Les autres pseudos verront des icônes graphiques uniquement s'ils utilisent BabasChess ou une autre interface permettant le dessin des smileys.

Liens de commandes possibles
Si c'est coché, toute commande serveur entourée de guillemets (") sera converti en un lien sur lequel vous pourrez cliquer pour envoyer automatiquement cette commande au serveur.

Activer les liens URL
Si c'est coché, toute page web ou adresse de messagerie électronique valide sera converti en lien.

Police système défaut pour la ligne de commande
Si c'est coché, la police par défaut sera utilisée dans les cases de saisie, sinon le format "Normal text" sera utilisé.

Blocage automatique des défilements
Si c'est coché, quand la dernière ligne de texte de la console n'est pas visible, BabasChess suppose que vous lisez les lignes précédentes et ne fera pas défiler automatiquement le texte de la console quand un nouveau texte arrive pour vous permettre de lire tranquillement les lignes précédentes.

Couleur du fond
Vous permet de choisir la couleur du fond de votre fenêtre console et des lignes de saisie.

Nom de la police
Vous permet de choisir la police du texte de la console.

Taille de la police
Vous permet de choisir la taille de la police.

Format du texte
Vous permet de personnaliser les apparences des différents textes. Vous pouvez sélectionner plusieurs éléments pour lesquels vous voulez le même paramétrage en utilisant la touche Ctrl et/ou Maj.

Configurer le format du texte pour chaque channel
Si c'est coché, chaque channel pourra avoir son propre format de texte.

Voir aussi

Console principale

Fenêtre Discussion

Fenêtre Channels


Chat preferences

Préférences Console et discussion Fenêtre de discussion

Cette page des préférences contient différentes options qui contrôlent le fonctionnement de la Fenêtre Discussion et de la Fenêtre Channels.

Options de Discussion

  • Afficher l'heure devant le texte
    Si c'est coché, la Fenêtre Discussion affichera l'heure d'émission de chaque tell privé.
  • Onglet Auto affiché
    Si c'est coché, quand vous recevez un "tell privé" d'un autre pseudo, l'onglet correspondant à ce pseudo sera automatiquement activé, à moins que le curseur ne soit dans la ligne de saisie de la Fenêtre Discussion.
  • Montrer la fenêtre discussion quand un nouveau tell privé est reçu
    Si c'est coché, la Fenêtre Discussion sera automatiquement affichée lorsque vous recevrez un "tell privé" de la part d'un autre pseudo. Si seulement quand je ne joue pas est coché, cela ne se produira pas quand vous serez en train de jouer une partie.
  • Montrer les tells dans la console principale
    Si c'est coché, les tells privés des autres pseudos seront affichés à la fois dans la console principale et dans la Fenêtre Discussion, sinon uniquement dans la Fenêtre Discussion.

Options de Channels et shouts

  • Afficher l'heure devant le texte
    Si c'est coché, la Fenêtre Channels affichera l'heure d'émission de chaque tell de channel.
  • Onglet Auto affiché
    Si c'est coché, quand vous recevez un tell de channel d'un autre pseudo, l'onglet correspondant à ce channel sera automatiquement activé, à moins que le curseur ne soit dans la ligne de saisie de la Fenêtre Channels.
  • Montrer la fenêtre channel quand un nouveau tell de channel est reçu
    Si c'est coché, la Fenêtre Channels sera automatiquement affichée lorsqu'un tell de channel sera émis par un autre pseudo sur un channel que vous suivez. Si seulement quand je ne joue pas est coché, cela ne se produira pas quand vous serez en train de jouer une partie.
  • Montrer les tells de channel dans la console
    Si c'est coché, les tells de channels des autres pseudos seront affichés à la fois dans la Console principale et dans la Fenêtre Channels, sinon uniquement dans la Fenêtre Channels.
  • Ne montrer que les numéros de channels dans les onglets
    Vous permet de choisir si vous voulez afficher dans les onglets de la Fenêtre Channels uniquement les numéros des channels ou le numéro et la description du channel (pas disponible pour tout les channels).
  • Montrer les shouts dans un channel
    Si c'est coché, un onglet "shout" sera ajouté à la Fenêtre Channels, pour y afficher les messages en shout.
  • Montrer les c-shouts dans un channel
    Si c'est coché, un onglet "c-shout" sera ajouté à la Fenêtre Channels, pour y afficher les messages en c-shout.
  • Montrer la fenêtre channel quand un nouveau shout est reçu
    Si c'est coché, la Fenêtre Channels sera automatiquement affichée lorsqu'un shout ou un c-shout sera émis par un autre pseudo. Si seulement quand je ne joue pas est coché, cela ne se produira pas quand vous serez en train de jouer une partie.
  • Montrer les shouts dans la console principale
    Si c'est coché, les shouts et c-shout des autres pseudos seront affichés à la fois dans la Console principale et dans la Fenêtre Channels, sinon uniquement dans la Fenêtre Channels.

Autres options

  • Les réponses superflues aux commandes de discussion dans la console
    Vous permet de choisir si les confirmations du serveur comme "told ..." ou "shouted to..." seront affichées à la fois dans la Console principale et dans la barre de statut ou uniquement dans la barre de statut.
  • Ne pas montrer les kibitzs et whispers dans la console si la fenêtre discussion est visible
    Si c'est coché, quand la fenêtre discussion est visible, les kibitzs et les whispers des autres pseudos ne seront pas affichés dans la Console principale.

Voir aussi

Fenêtre Discussion

Fenêtre Channels


Board preferences

Préférences Echiquier Pièces et cases

Cette page des préférences vous permet de personnaliser l'apparence de l'échiquier (pièces et cases).

Cases
Vous permet de choisir l'aspect des cases de l'échiquier. Vous pouvez choisir une des images disponibles ou prendre "<Couleur Solide>" et définir les couleurs pour les cases blanches et noires. Certaines pièces peuvent également avoir leur couleur principale ajustée. Le paramètre Bordure vous permet d'ajouter une couleur de bordure pour chaque case ; si vous voulez en ajouter une utilisez largeur de bordure et couleur de bordure dans Préférences Echiquier Pièces et cases.

Pièces
Vous permet de choisir l'aspect de vos pièces. Les pièces Vectorielles peuvent êtres personnalisées en choisissant la couleur des bordures, la couleur intérieure/texture des pièces, l'antialias et l'ombre.

Taille de pièce/Position pièce
Vous pouvez configurer la taille des pièces en respectant la taille des cases et le placement vertical des pièces (très pratique quand vous réduisez la taille des pièces).

Voir aussi

Fenêtre Echiquier

Jouer une partie


Board (2) preferences

Préférences Echiquier Mouvement de pièces

Cette page des préférences vous permet de configurer différentes options liées à la façon dont les pièces bougent sur l'échiquier et comment les coups sont surlignés.

Dernier coup en surbrillance
Vous permet de configurer comment le dernier coup est surligné sur l'échiquier.

Surbrillance de la case visée
Si c'est coché, quand vous déplacez une pièce sur l'échiquier, la case actuelle de destination sera en surbrillance.
Si l'option surbriller uniquement les cibles légales (Entrée du coup) est sélectionnée également, seules les cases de destinations des coups autorisés seront mises en surbrillance ; si l'option surbriller aussi la case de départ est cochée, alors la case de départ sera aussi mise en surbrillance.

Opacité de la surbrillance
Vous permet d'ajuster la transparence de la surbrillance ; choisir 100% comme opacité aura pour effet d'avoir la surbrillance dessinée en couleur pleine.

Glisser/déplacer les pièces
Quand c'est coché, les pièces sont jouées en utilisant la fonction glisser/déplacer ; sinon les pièces sont jouées par clic-et-clic. Dans tout les cas vous pouvez annuler le coup que vous êtes en train d'effectuer en appuyant sur la touche echap.

Montrer la pièce glissée/déplacée
Si c'est désactivé, vous ne verrez pas la pièce que vous êtes en train de jouer tant que le coup ne sera pas achevé.

Utiliser un curseur de main pour déplacer les pièces
Si c'est coché, le curseur de souris sera transformé en une petite main lorsqu'une pièce sera déplacée.

Afficher le popup de promotion
Quand c'est coché, il vous sera demandé en quelle pièce vous souhaitez promouvoir un pion à chaque fois que l'un d'entre eux atteint la dernière rangée. Sinon, les pions seront promus en la pièce que vous aurez sélectionné en dernier en utilisant la commande Promouvoir en du Menu Partie ou le bouton correspondant sur la barre d'outils.

Permettre les échiquiers DGT
Quand c'est coché, il sera possible de jouer les coups ou de rentrer les coups à l'aide d'un échiquier électronique. Actuellement BabasChess supporte les échiquiers "DGT" (http://www.dgtprojects.com).

Tester le légalité du coup
Si c'est coché, alors BabasChess vérifiera la légalité de chaque coup avant de l'envoyer au serveur ; un coup illégal ne sera donc pas envoyé, vous permettant ainsi de gagner du temps. Notez que la vérification des coups n'est possible que pour les échecs classiques, le crazyhouse et le bughouse.

Activer le premove
Quand c'est coché, les Premoves sont possibles ; cette option ne peut pas être changée en cours de partie. Un "premove" est un coup joué sur l'échiquier avant que vous n'ayez reçu le coup de votre adversaire.

Flèche pour le premove
Quand c'est coché, une flèche est dessinée pour mieux souligner chaque premove.

Effacer la liste des coups en premove lors d'un coup illégal
Quand c'est coché, dès qu'un premove ne peut pas être effectué par ce que c'est un coup illégal, tout les premoves en mémoire sont supprimés.

Ne pas mettre la pièce prémovée sur sa case de destination
Quand c'est coché, lorsqu'un premove est fait, la pièce prémovée est laissée sur sa case de départ : cela assure que la position sur l'échiquier est toujours cohérente. Si cette option n'est pas cochée, la pièce prémovée est placée sur la case de destination que vous lui avez cochée : ce qui permet de premover de nouveau immédiatement (ex : cela peut être très pratique pour amener un pion à la promotion en entrant une séquence de premoves).

Activer le smartmove
Quand c'est coché, le Smartmove est possible ; cette option ne peut pas être modifiée en cours de partie. Un "smartmove" est une façon particulière d'entrer son coup ; vous cliquez directement sur la case de destination et, si une seule de vos pièces peut se déplacer sur cette case, le coup est immédiatement exécuté. Si plusieurs pièces peuvent atteindre cette case, la pièce par "défaut" est mise en surbrillance (suivant un ordre fixé : cavalier, fou, pion, dame, roi, tour).

Le double-clic force le smartmove de la pièce par défaut
Si c'est coché, un double clic sur la case de destination forcera le smartmove de la pièce par défaut.

Autoriser les marqueurs dans les parties examinées
Si c'est coché, des cercles et des flèches seront affichés lorsque la commande correspondante sera reçue des examinateurs de la partie.

Permettre de suggérer des coups sur l'échiquier du partenaire (bughouse)
Si c'est coché, vous serez autorisé à bouger les pièces de votre partenaire : chaque coup sera en fait un ptell qui sera envoyé à votre partenaire pour lui suggérer un coup.

Afficher le coup proposé par votre partenaire sous forme de lien (bughouse)
Si c'est coché, chaque tell de partenaire suggérant un coup sera affiché sous forme d'un lien sur lequel vous aurez juste à cliquer dessus pour pouvoir l'effectuer. (notez que cette fonction n'est possible qu si votre partenaire utilise BabasChess aussi).

Poser une pièce dès qu'elle sera prise par votre partenaire (bughouse)
Si c'est coché, quand vous ferez un clic droit sur une case vide, le menu contextuel vous permettra d'entrer un type de premove spécial : un "premove pour une pièce attendue". Par exemple, si vous entrez un premove d'attente de dame, alors dès que votre partenaire vous donnera une dame, alors elle sera automatiquement posée sur la case sélectionnée. Un premove d'attente de pièce pourra être annulé tout comme les premoves normaux.

Animation des coups
Si c'est coché, vous verrez se déplacer les pièces lors de chaque coup (excepté les pièces jouées par vous-même). Notez que cela provoque un petit délai dans les parties que vous jouez.

Voir aussi

Fenêtre Echiquier

Jouer une partie

Préférences Echiquier Pièces et cases


Board-window preferences

Préférences Fenêtre échiquier

Cette page des préférences vous permet de personnaliser l'apparence de la Fenêtre Echiquier, comme le fond, la pendule, le pseudo des joueurs, la liste des coups, etc.. L'apparence de l'échiquier lui même peut être configurée dans Préférences Echiquier Pièces et cases. Les autres options disponibles dans cette page sont :

Montrer le dernier coup
Si c'est coché, le dernier coup est écrit en bas à droite de la Fenêtre Echiquier.

Montrer la force matérielle
Si c'est coché, deux barres de couleur indiquant la force matérielle restante des joueurs sont affichées dans la Fenêtre Echiquier.

Montrer les coordonnées
Permet d'afficher ou non les coordonnées des cases sur l'échiquier.

Afficher le code ECO et le nom de l'ouverture
Si c'est coché, le nom de l'ouverture de la partie que vous êtes en train de jouer, observer ou examiner sera affichée dans la Fenêtre Echiquier, ainsi que son code ECO (Encyclopedia of Chess Openings -- Encyclopédie des Ouvertures d'Echecs).

Afficher les statistiques de lags
Si c'est coché, le temps total de lag (qui correspond aux temps de transmission via le net) est affiché pour chaque joueur. Déplacez la souris sur l'information du lag pour obtenir des statistiques plus détaillées.

Rendre les échiquiers inactifs trouble
Si c'est coché, les échiquiers inactifs (c'est à dire les échiquiers dont les parties sont terminées) seront rendus "troubles".

Afficher "(TS)" si le pseudo utilise timeseal
Si c'est coché, à côté de la pendule de chaque joueur un petit "(TS)" apparaîtra s'il/elle utilise timeseal.

Montrer les explosions des parties atomic
Si c'est coché, une animation graphique est effectuée lorsqu'une explosion se produit lors des parties en atomic.

Réinitialiser la liste des coups si nécessaire
Si c'est coché, quand une Fenêtre Echiquier est ouverte sur une partie déjà en cours (ce qui se passe généralement lors d'une observation ou pour les parties ajournées) ; BabasChess essaiera de réinitialiser la liste des coups venant du serveur.

Notation figurine plus algébrique
Si c'est coché, BabasChess affiche les dessins des figurines dans la liste des coups. Décochez cette option si par expérience vous avez des problèmes avec l'affichage des figurines dans la liste des coups.

Intervalle de temps pour une avance auto
Vous permet de spécifier la vitesse d'avance automatique (Menu Partie).

Voir aussi

Fenêtre Echiquier

Jouer une partie


Board-window (2) preferences

Préférences Echiquier Alertes temps

Cette page des préférences vous permet de paramétrer les différentes alertes de temps. Quand une alerte temps est active, votre pendule commencera à clignoter et vous entendrez le son de l'"alerte de temps" (si c'est configuré dans Préférences Général Sons).

Voir aussi

Fenêtre Echiquier

Préférences Echiquier Fenêtre échiquier

Boîte de dialogue Paramétrage des programmes d'échecs

Jouer une partie


Info-window preferences

Préférences Fenêtre d'information Apparence

Cette page des préférences vous permet de configurer l'apparence et le fonctionnement de la Fenêtre d'Information.

Options de couleurs
Ces options vous permettent de choisir les couleurs pour les différents éléments des onglets de la Fenêtre d'Information.

Classements de référence pour le graphe des seeks
Vous permet de spécifier la fourchette devant être affichée dans le graphe des seeks de la Fenêtre d'Information.

Voir aussi


Info-window-tabs preferences

Préférences Fenêtre d'information Onglets

Cette page des préférences vous permet de personnaliser les onglets de la Fenêtre d'Information.

Position des onglets
Le côté de la Fenêtre d'information où seront affichés les onglets.

Choisir les onglets
Vous permet de choisir quels onglets seront visibles dans la Fenêtre d'information.

Afficher l'onglet "Offres en cours" lorsqu'une nouvelle offre est faite
Si c'est coché, à chaque fois que vous ferez ou recevrez une offre, la Fenêtre d'information sera automatiquement affichée avec comme onglet actif, l'onglet "Offres en cours".

Afficher l'onglet "Amis" lorsqu'une notification d'arrivée est reçue
Si c'est coché, à chaque fois que vous recevrez une notification d'arrivée, la Fenêtre d'information sera automatiquement affichée avec comme onglet actif, l'onglet "Amis".

Voir aussi


Analysis preferences

Préférences Avancé Moteur d'analyse

Cette page des préférences vous permet d'ajouter/retirer/configurer des moteurs d'analyse pour analyser des parties. Cliquez sur le bouton Configurer pour accéder à la Boîte de dialogue Paramétrage des moteurs d'analyse.

Voir aussi

Fenêtre échiquier

Fenêtre Préférences échiquier

Boîte de dialogue Paramétrage des moteurs d'analyse

Jouer une partie


Window-layout Preferences

Préférences Avancé Disposition des fenêtres

Cette page des préférences vous permet de personnaliser comment les fenêtres seront disposées lors des évènements suivants :

  • quand vous commencez une partie,
  • quand vous commencez une partie de bughouse,
  • quand vous débutez l'observation d'une partie,
  • quand vous débutez l'observation d'une partie de bughouse,
  • quand vous débutez l'examen d'une partie,
  • quand vous ouvrez une partie pgn,
  • quand vous fermez toutes les fenêtres "échiquier".

Disposition intelligente (smart layout)
Si c'est coché, à chacun des évènements du dessus, BabasChess restaurera automatiquement toutes les fenêtres telles qu'elles étaient la dernière fois que vous aviez été dans la même situation (par exemple : quand vous commencez une nouvelle partie, la même disposition des fenêtres sera restaurée que celle que vous aviez la dernière fois que vous avez joué une partie). Cliquez sur le bouton "Réinitialisation de la disposition intelligente" pour remettre la disposition intelligente à sa configuration initiale (cela effacera tout l'historique des dispositions intelligentes, comme si BabasChess venait d'être installé pour la première fois).

Restaurer la disposition des fenêtres au démarrage
Si c'est coché, BabasChess restaurera la dernière disposition des fenêtres au démarrage.

Disposition des fenêtres pour des évènements spécifiques
Vous permet d'établir manuellement un jeu de disposition que BabasChess établira pour chaque évènement ; chaque menu déroulant affiche les options suivantes :

  • ne rien faire - la disposition des fenêtres sera inchangée,
  • disposition automatique - la commande [image] "Disposition automatique" du Menu Fenêtre est exécutée,
  • <disposition personnalisée> - vous pouvez choisir n'importe quelle disposition précédemment enregistrée par la commande [image] "Sauvegarder disposition" du Menu Fenêtre.

Voir aussi

Menu Fenêtre


Scripts preferences

Préférences Avancé Scripts

Cette page des préférences vous permet d'associer un script (une séquence de commandes serveur et/ou interface) à :

  • un "évènement" (pour avoir un script qui s'exécute automatiquement lorsqu'un évènement se produit).
  • un "planificateur de taches" (pour avoir un script qui s'exécute automatiquement tout les intervalles de temps donnés).

Ajouter un évènement
Ouvre une boîte de dialogue dans laquelle vous pourrez choisir le type d'évènement : d'autres boîte de dialogues s'afficheront selon l'évènement choisi et ainsi paramétrer les différents évènements.

Enlever
Supprimer l'évènement sélectionné.

Charger/Enregistrer sous
Vous permet de charger/enregistrer des évènements d'un/vers un fichier.

Macro
Insère une macro dans le script à l'emplacement du curseur.

Commande
Insère une commande d'interface dans le script à l'emplacement du curseur.

Configurer le planificateur de tâches
Ouvre la boîte de dialogue Tâches.

Voir aussi

Tâches

Personnaliser BabasChess


Advanced preferences

Préférences Avancé Personnaliser

Cette page des préférences vous permet de paramétrer les fonctions suivantes :

  • Configurer les boutons paramétrables ;
  • Configurer le clic droit de la souris ;
  • Configurer les commandes rapides ;
  • Configurer les raccourcis clavier ;
  • Configurer les liens vers les sites web.

Voir aussi

Boîte de dialogue Configurer les boutons paramétrables

Boîte de dialogue Configurer les raccourcis clavier

Boîte de dialogue Configurer les liens web

Personnaliser BabasChess


About Dialog

Boîte de dialogue "A propos de"

La boîte de dialogue "A propos de BabasChess" vous montre la version de BabasChess que vous utilisez, ainsi qu'un lien vers la page d'accueil du site internet de BabasChess et l'adresse de messagerie électronique pour y envoyer vos commentaires ou suggestions.

Elle montre aussi les crédits et les remerciements : placez le curseur de la souris sur un élément pour arrêter son défilement.


Channel list Dialog

Boîte de dialogue "Choisir les channels"

Vous pouvez utiliser cette boîte de dialogue pour choisir les channels du serveur qui vous intéressent ; BabasChess enverra automatiquement les commandes +channel et -channel sur les channels choisis lorsque vous ferez OK.

Montrer les shouts/c-shouts dans un channel
Quand c'est sélectionné, les shouts et c-shouts seront affichés dans un onglet spécifique de la Fenêtre Channels. Ces options sont également sélectionnables dans Préférences Console et discussion Fenêtre de discussion.

Ne rien choisir
Désélectionne tout les channels.

OK
Ferme la boîte de dialogue en appliquant les modifications.

Annuler
Ferme la boîte de dialogue sans appliquer les modifications.

Préférences de fenêtre des channels
Vous permet d'accéder rapidement à la fenêtre correspondante des préférences.

Voir aussi

Fenêtre Channels

Menu Affichage


Language Dialog

Boîte de dialogue Choisir une langue

La boîte de dialogue "Choisir une langue" vous permet de choisir la langue de votre interface BabasChess. Changer la langue nécessite de relancer BabasChess : lorsque vous cliquerez sur le bouton "OK", vous verrez le programme se fermer automatiquement et redémarrer après un court instant. Utilisez la commande "Langue" du Menu Fichier pour ouvrir cette boîte de dialogue ; vous ne pouvez pas changer de langue lorsque vous êtes en train de jouer une partie.

Voir aussi

Menu Fichier


Configure-custom-commands Dialog

Boîte de dialogue "Configurer les boutons paramétrables"

Cette boîte de dialogue vous permet de configurer un jeu de commandes personnelles. Elle est utilisée pour configurer les Commandes Rapides, le Clic Droit de la Souris et les Boutons Paramétrables. Pour chaque commande vous pouvez spécifier le nom, y associer une image et une ou plusieurs commandes à être exécutées (appelées "scripts").

Effacer la commande
Supprime la commande sélectionnée.

Nouvelle commande
Ajoute une nouvelle commande.

Monter/Descendre
Vous permet de choisir l'ordre de vos commandes personnalisées.

Macro
Insère une macro dans le script à l'emplacement du curseur.

Charger/Enregistrer sous
Vous permet d'exporter/importer un jeu de commandes personnalisées dans/d'un fichier.

Annuler
Ferme la boîte de dialogue sans enregistrer les modifications.

OK
Ferme la boîte de dialogue en enregistrant les modifications.

Voir aussi

Personnaliser BabasChess

Menu Commandes rapides


Configure web links Dialog

Boîte de dialogue "Configurer les liens web"

Cette boîte de dialogue vous permet de configurer "Sites web utiles" dans le menu aide et sous-menu sites web utiles.

Nouveau lien
Ajoute une nouvelle page web.

Retirer le lien
Supprime le lien sélectionné de la liste des sites.

Nom du site web
Le nom qui doit être affiché dans le menu.

URL du site web
L'adresse exacte du site web : elle doit commencer par "http://" (ex : http://www.freechess.org)

Annuler
Ferme la boîte de dialogue sans enregistrer les modifications.

OK
Ferme la boîte de dialogue en enregistrant les modifications.

Voir aussi

Menu Aide

Personnaliser BabasChess


Connection Dialog

Boîte de dialogue "Se connecter à FICS"

La boîte de dialogue "Se connecter à FICS" est utilisée pour se connecter au serveur d'échecs. Si vous avez un pseudo enregistré, saisissez votre pseudo et votre mot de passe ; si vous souhaitez vous connecter au serveur en temps qu'invité (guest), cochez l'option "Se connecter en guest" et saisissez un pseudo qui n'est pas encore enregistré sur le serveur, ou saisissez "g" dans la case pseudo pour laisser le serveur choisir un pseudo de guest disponible.

Configuration
Choisir la configuration de connexion (Regardez Préférences Général Serveur).

Avancé
Ouvre la Boîte de dialogue Options avancées de connexion.

Mémoriser le pseudo et le mot de passe
Quand c'est coché, le pseudo et le mot de passe sont stockés sur votre ordinateur, donc vous n'aurez pas à les saisir à chaque fois. N'utilisez pas cette option si vous êtes sur un ordinateur public.

Se connecter automatiquement au lancement
Quand c'est coché, BabasChess essaiera automatiquement de se connecter au serveur à chaque fois que vous le lancerez ; cette option est généralement cochée en même temps que la précédente, pour pouvoir se connecter automatiquement au serveur sans rien saisir à chaque fois que vous exécutez BabasChess.

Préférences de connexion au serveur
Vous pouvez utiliser ce bouton pour atteindre rapidement Préférences Général Serveur.

Voir aussi

Préférences Général Serveur


Game-finished Dialog

Boîte de dialogue "Partie terminée"

Cette boîte de dialogue est affichée lorsqu'une partie (jouée ou observée) se termine ou est avortée (à condition que l'option correspondante soit cochée dans Préférences Général Autres options). Elle montre les informations à propos de la conclusion de la partie (ex : "Les Blancs ont gagné", "Games aborted", ..) et fourni des commandes pratiques.

La capture d'écran suivante montre un exemple de la façon dont la boîte de dialogue Partie terminée peut apparaître :

Certains (ou tous) des boutons suivants peuvent être disponible dans la boîte de dialogue :

  • Revanche : demande à votre adversaire de jouer une autre partie avec les mêmes paramètres.
  • Examiner : vous permet d'examiner la partie sur le serveur.
  • Les coups en email : envoie les coups de la partie à votre adresse de messagerie électronique.
  • Analyser : vous permet d'analyser la partie entière en utilisant un moteur d'analyse.
  • Enregistrer : vous permet d'exporter la partie vers un fichier PGN.
  • Fermer l'échiquier : ferme la Fenêtre échiquier.
  • OK : ferme cette boîte de dialogue sans fermer l'échiquier.

Voir aussi

Préférences Général Autres options


Match Dialog

Boîte de dialogue Proposer une partie

La boîte de dialogue Partie vous permet de défier un autre pseudo. Vous pouvez spécifier le type de partie (ex : échecs, crazyhouse, suicide, ...) et la cadence ; quelques préétablis sont disponibles pour les parties les plus communes et il est possible d'enregistrer de nouveaux préétablis.

Adversaire
Entrez ici le pseudo d'un joueur que vous voulez défiez.

Préétabli
Choisissez un type de partie parmi un jeu de partie déjà paramétrées (Le premier préétabli "Dernier utilisé" correspond aux dernières valeurs que vous avez utilisé).

Enregistrer/Effacer
Ces boutons vous permettent de sauvegarder/supprimer vos préétablis.

Temps/Incrément
La cadence de la partie.

Type
Vous permet de choisir la variante d'échecs ; "Echecs" défiera en "lightning", "blitz" ou "standard" selon la cadence choisie.

Couleur
Pour choisir la couleur avec laquelle vous voulez jouer ("Automatique" signifie que les couleurs seront choisies par le serveur).

Partie "rated" (comptant)
Cochez cette option si vous voulez jouer une partie comptant pour le classement.

Annuler
Ferme cette boîte de dialogue sans lancer de défi.

OK
Ferme cette boîte de dialogue et défie le pseudo sélectionné.

Voir aussi

Menu Actions

Console principale


Request Dialog

Boîte de dialogue Requêtes

Cette boîte de dialogue est affichée quand vous recevez un défi ou toute autre offre (c'est à dire proposition de nulle, offre de partenariat de bughouse, ...), si vous avez coché l'option correspondante dans Préférences Général Autres options. Elle montre les informations à propos de l'offre et fourni des commandes utiles. .

Le dessin suivant montre un exemple de l'aspect possible de la boîte de dialogue Requêtes :

Certains des boutons suivants peuvent être disponibles dans la boîte de dialogue, selon le type de requête qui vous est faite :

  • Ignorer : ignore la requête, vous pourrez ainsi décider plus tard si vous l'acceptez ou si vous la refusez.
  • Accepter : accepte l'offre.
  • Refuser : refuse l'offre.
  • Contreproposition : ouvre la Boîte de dialogue Proposer une partie et vous permet de proposer une partie avec des paramètres différents.
  • Discussion : ouvre un onglet dans la Fenêtre Discussion pour parler avec le pseudo qui vous a fait l'offre.
  • Avorter : accepte la demande d'avortement.
  • Ajourner : accepte la demande d'ajournement.
  • Pause : accepte de mettre la partie en pause.
  • Fin de pause : accepte de reprendre une partie précédemment mise en pause.

Voir aussi

Préférences Général Autres options


Save match/seek preset Dialog

Boîte de dialogue Enregistrer un préétabli de match/seek

Cette boîte de dialogue est affichée quand vous enregistrez un préétabli de paramètres pour les commandes match ou seek.

Annuler
Ne sauvegarde pas en tant que nouveau préétabli.

Enregistrer
Sauvegarde en tant que nouveau préétabli.

Voir aussi

Boîte de dialogue Proposer une partie

Boîte de dialogue Faire un seek


Seek Dialog

Boîte de dialogue Faire un seek

La boîte de dialogue Seek vous permet de lancer une annonce pour une partie sur le serveur. Vous pouvez spécifier le type de partie (c'est à dire échecs, crazyhouse, suicide, ...) et la cadence ; quelques préétablis sont disponibles pour des parties couramment jouées et il est possible de créer de nouveaux préétablis. Vous pouvez voir les seeks lancés par les autres pseudo dans la Fenêtre d'Information (Liste des seeks ou graphe des seeks).

Préétabli
Choisir parmi des jeux de paramètres précédemment enregistrés (le premier préétabli "Dernier utilisé" correspond aux dernières valeurs utilisées).

Enregistrer/Effacer
Ces boutons vous permettent de sauvegarder/supprimer vos préétablis.

Temps/Incrément
La cadence de la partie.

Type
Vous permet de choisir le type de partie d'échecs ; "échecs" défiera en "lightning", "blitz" ou "standard" selon la cadence choisie.

Couleur
Permet de choisir la couleur avec laquelle vous voulez jouer ("Automatique" signifie que les couleurs seront attribuées par le serveur).

Partie "rated" (comptant)
Choisissez cette option si vous voulez lancer une annonce pour une partie rated (comptant pour le classement).

Classement minimum/Classement maximum
Vous pouvez spécifier les classements minimum et maximum des pseudos pouvant accepter votre seek.

Utiliser la formule de match
Si c'est coché, seuls les pseudos répondant aux critères de votre formule de partie pourront accepter votre seek.

Accepter manuellement
Si c'est coché, quand un pseudo accepte votre seek, il vous sera demandé de confirmer que vous acceptez de jouer ce pseudo avant que la partie ne puisse commencer.

Annuler
Ferme cette boîte de dialogue sans lancer l'annonce.

OK
Ferme cette boîte de dialogue et lance l'annonce.

Voir aussi

Menu Actions

Fenêtre d'Information


Advanced connection options Dialog

Boîte de dialogue "Options avancées de connexion"

Cette boîte de dialogue vous permet de spécifier l'adresse du serveur et le port : n'utilisez cette option que si vous n'arrivez pas à vous connecter avec la configuration par défaut.

Configuration par défaut
Utilise la configuration par défaut pour se connecter au serveur d'échecs.

Utiliser le port tcp alternatif du serveur (23)
Utilise le port 23 au lieu du port 5000 pour vous connecter au serveur. Cela peut être très utile si vous vous connectez en utilisant un pare-feu.

Adresse et port du serveur
Vous permet de spécifier n'importe quelle adresse IP ou n'importe quel port tcp.

Type de connexion
Vous permet d'activer/désactiver timeseal. Timeseal est un programme qui permet d'ajuster la pendule en tenant compte du lag pendant la partie : cela vous préserve de perdre du temps sur le transfert des données entre votre ordinateur et le serveur.

Voir aussi

Préférences

Boîte de dialogue "Se connecter à FICS"


Engine settings Dialog

Boîte de dialogue "Paramétrage des programmes d'échecs"

Utilisez cette boîte de dialogue pour configurer un moteur d'analyse ou pour en rajouter un. Pour la plupart des moteurs d'analyse, vous aurez juste à indiquer le protocole que ce moteur supporte (WinBoard ou UCI) ; dans le cas où le moteur d'analyse ne fonctionnerait pas correctement, vous devrez entrer les commandes pour communiquer avec le moteur en utilisant le bouton "Avancé>>".

Voir aussi

Préférences Echiquier Alertes temps


Finger notes editor

Editeur de notes de Finger

Cette boîte de dialogue propose une façon confortable de compléter/modifier vos notes de finger. Vous pouvez l'ouvrir en cliquant sur le bouton Modifier de l'onglet Résumé dans votre Fenêtre Profil.

Voir aussi

Fenêtre Profil


Message management Dialog

Boîte de dialogue "Messages"

Cette boîte de dialogue vous permet de consulter, effacer et répondre aux messages pour pseudo non actuellement connectés : vous pouvez l'ouvrir en utilisant la commande [image] "Messages" du Menu Affichage ou le bouton correspondant de la barre d'outils.

Nouveau
Ouvre la Boîte de dialogue Envoyer un message pour envoyer un nouveau message.

Répondre
Ouvre la Boîte de dialogue Envoyer un message pour répondre au message sélectionné.

E-mail
Envoie le message sélectionné à votre messagerie électronique.

Effacer
Supprime le message sélectionné.

Effacer tout les messages
Supprime tout les messages que vous avez.

Voir aussi

Menu Affichage

Boîte de dialogue Envoyer un message


PGN game list Dialog

Boîte de dialogue Liste de parties en PGN

Cette boîte de dialogue est affichée lorsqu'un fichier pgn est ouvert. Choisissez la partie que vous souhaitez examiner et cliquez sur :

· "Ouvrir", pour réutiliser n'importe quel échiquier disponible ;

· "Ouvert comme" et ensuite "Ouvrir un nouvel échiquier", pour créer une nouvelle fenêtre échiquier ;

· "Ouvert comme" et ensuite "Examiner sur le serveur", pour débuter une session examen sur le serveur en ayant automatiquement tous les coups de la partie en pgn envoyés vers le serveur par BabasChess (pgn chargé).

Notez que vous pouvez trier les parties en pgn par n'importe quelle colonne (Les Blancs, Les Noirs, type, date, ECO, ...) : cliquez sur le titre d'une colonne pour trier sur cet élément, cliquez une nouvelle fois pour trier dans l'ordre inverse.

Si vous fermez cette boîte de dialogue, vous pouvez la revoir en utilisant la commande [image] "Liste de parties en pgn" du Menu Affichage.

Voir aussi

Menu Fichier

Menu Affichage


Send message Dialog

Boîte de dialogue Envoyer un message

Vous pouvez utiliser cette boîte de dialogue pour envoyer un message à un pseudo non connecté. Pour ouvrir cette boîte de dialogue, faites un clic droit sur le nom d'un pseudo et choisissez [image] "Message", ou utilisez la commande "Envoyer un message" du Menu Actions.

Voir aussi

Menu Actions

Boîte de dialogue Messages


Timer Settings

Configurer le planificateur de tâches

Le planificateur de tâches exécute un script donné (une succession de commandes) à des intervalles périodiques.

Activer
Active ou désactive le planificateur de tâches.

Intervalle
Vous permet de spécifier un intervalle (en minutes).

Script à exécuter
Une ou plusieurs commandes à exécuter périodiquement lorsque le planificateur de tâches est activé.

Macro
Insère une macro dans le script à l'emplacement du curseur.

Commande
Insère une commande d'interface dans le script à l'emplacement du curseur.

Voir aussi


Server variables Dialog

Boîte de dialogue Variables serveur

Cette boîte de dialogue vous permet de voir et de modifier les variables serveur communément les plus utilisées : vous pouvez ouvrir cette boîte de dialogue par la commande [image] "Variables du serveur" du Menu Affichage.

Tapez "help variables" dans la Console principale (lorsque vous êtes connecté au serveur) pour une description des différentes variables du serveur.

Voir aussi

Menu Affichage


Configure plugins Dialog

Boîte de dialogue "Configurer les plugins"

Utilisez cette boîte de dialogue pour gérer les plugins de BabasChess. Un plugin est un module qui permet d'étendre les possibilités de BabasChess, en y ajoutant des fonctionnalités.

Ajouter
Vous permet d'installer un nouveau plugin.

Désinstaller
Vous permet de désinstaller le plugin sélectionné. Note : le fichier de plugin ne sera pas automatiquement effacé de votre disque dur.

Monter/Descendre
Vous permet de changer l'ordre de chargement des plugins. Certains plugins peuvent nécessiter d'être chargés avant d'autres ; consultez la documentation de chaque plugin pour plus d'informations.

Voir aussi

Menu Plugins


Board setup properties Dialog

Boîte de dialogue "Propriétés du mode setup"

La boîte de dialogue Propriété du mode setup vous permet de spécifier le type de partie (échecs standard ou n'importe quelle variante supportée par le serveur d'échecs) et de rentrer la position de départ souhaitée. Cette boîte de dialogue peut être à la fois utilisée pour des parties extérieures au serveur au format pgn ainsi que pour des parties sur le serveur examinées.

Position initiale
Les options suivantes sont disponible :

· Actuel : la disposition sur l'échiquier ne sera pas changée ;

· Standard : la disposition sur l'échiquier sera la disposition normale de départ (non disponible pour toutes les variantes) ;

· Echiquier vide : aucune pièce sur l'échiquier ;

· FEN : vous permet de spécifier une disposition de départ en utilisant le format FEN.

Quitter le mode setup
S'il est coché, alors quand le bouton "OK" est cliqué, la position est validée et le mode examen commence ; sinon l'échiquier reste en "mode Setup" et il sera possible d'ajuster la position de départ en déplaçant les pièces avec la souris.

Voir aussi

Menu Edition

Fenêtre Echiquier


Game properties Dialog

Boîte de dialogue "Propriétés de la partie"

Cette boîte de dialogue vous permet de spécifier/modifier plusieurs attributs de partie, comme les noms des joueurs, leurs classement, la cadence de la partie, l'évènement où a eu lieu cette partie,.... Cette fonction peut être à la fois utilisée pour des parties extérieures au serveur au format pgn comme pour des parties examinées sur le serveur.

Voir aussi

Menu Edition

Fenêtre Echiquier


User rules Dialog

Boîte de dialogue Règles de pseudos

Cette boîte de dialogue vous permet de configurer des attitudes particulières pour des pseudos spécifiques. Utilisez les boutons "Ajouter" et "Enlever" pour modifier la liste des pseudos (qui peut aussi être importée/exportée en utilisant les boutons "Importer"/"Exporter").

Pour chaque pseudo de la liste, une ou plusieurs attitudes peuvent être paramétrées :

  • Censurer : vous permet de décider de ne plus entendre certaines ou toutes les communications d'un pseudo donné. Dans le cas où vous décidez de ne pas entendre les communications privées (Tells privés, Tells de partenaires, ou Messages), vous pouvez alors spécifier un texte de réponse pour notifier ce pseudo que vous l'avez censuré. Cette particularité est similaire à la liste "censor" du serveur, mais avec les importantes différences suivantes : 1) quand vous mettez un pseudo en liste censor sur le serveur, vous n'entendrez plus rien du tout de ce pseudo (ce qui veut dire que vous ne pouvez pas choisir, par exemple, d'entendre les tells de channel mais pas les tells privés) ; 2) la liste censor du serveur a une taille limite (c'est à dire pas plus de 50 pseudos) ; 3) la liste censor du serveur est gérée au niveau du serveur (ce qui veut dire que les communications censurées ne sont pas envoyés à votre ordinateur), tandis que la règle des pseudos censurés est gérée au niveau de l'interface (les communications sont donc envoyées à votre ordinateur mais BabasChess ne vous les affichera pas).
  • Pas de parties : vous permet de décider de ne plus jouer contre (ou de ne pas être partenaire de bughouse avec) le pseudo sélectionné. Vous pouvez également spécifier le message qui sera envoyé à ce pseudo quand il essaiera de vous défier (ou de vous offrir un partenariat de bughouse). Cette particularité est similaire à la liste "noplay" du serveur, mais avec les importantes différences suivantes : 1) la liste noplay du serveur a une taille limite (c'est à dire pas plus de 50 pseudos) ; 2) la liste noplay du serveur est gérée au niveau du serveur (ce qui veut dire que vous ne recevrez pas les défis car ils seront filtrés par le serveur), tandis que la règle des pseudos pas de partie est gérée au niveau de l'interface (les défis seront envoyés par à votre ordinateur mais BabasChess ne vous les affichera pas).
  • Autres règles : personnalise la couleur ou les sons pour les communications émises par le pseudo spécifié, personnalise le son ou le script exécuté lorsqu'un pseudo se connecte (uniquement si le pseudo est dans votre liste "notify").

Vous pouvez également entrer des commentaires pour chaque pseudo de votre liste (par exemple pour vous rappeler les raisons de ces choix).

Voir aussi

Menu Affichage


Analyze game Dialog

Boîte de dialogue "Analyser une partie"

Cette boîte de dialogue vous permet d'analyser une partie entière à l'aide d'un moteur d'analyse. Les annotations de coups, les commentaires et les variantes sont automatiquement ajoutées au PGN de la partie et affichées dans la liste des coups de la Fenêtre échiquier. La partie analysée peut être sauvegarder comme un nouveau fichier PGN (ou ajoutée à un existant).

Analyse
Vous permet de choisir quelle couleur sera analysée (blancs, noirs ou les deux).

Moteur
Vous permet de choisir le moteur d'analyse qui sera utilisé.

Temps minimum par coup
Temps minimum pris par le moteur d'analyse pour évaluer chaque coup.

Profondeur minimum par coup
Profondeur minimum de recherche pour chaque coup.

Temps maximum par coup
Temps maximum pour l'évaluation de chaque coup : l'évaluation d'un coup se termine quand 1) quand le temps maximum s'est écoulé ou 2) le temps minimum a été dépassé et la profondeur souhaitée a été atteinte.

Utiliser une nouvelle fenêtre échiquier
Si c'est coché, un nouvel échiquier sera créé contenant la partie PGN annotée.

Effacer les lignes précédentes
Si c'est coché, toute ligne existante (variante) sera supprimée du PGN de la partie.

Effacer tout les commentaires précédents
Si c'est coché, tout commentaire existant sera supprimé du PGN de la partie.

Effacer toutes les annotations précédentes
Si c'est coché, toute annotation de coup existante sera supprimée du PGN de la partie.

Score delta 1
L'évaluation minimum de variation de score pour ajouter un '?' à l'annotation du coup (1/100 d'unité de pion).

Score delta 2
L'évaluation minimum de variation de score pour ajouter un '??' à l'annotation du coup (1/100 d'unité de pion).

Voir aussi

Menu Fichier

Menu Edition

Fenêtre échiquier


Configure keyboard shortcuts Dialog

Boîte de dialogue "Configurer les raccourcis clavier"

Cette boîte de dialogue vous permet de configurer les raccourcis clavier. Pour chaque raccourci clavier, vous pouvez associer une commande unique d'interface ou une ou plusieurs commandes serveur à être exécutées (script).

Supprimer le raccourci
Supprime le raccourci clavier sélectionné.

Nouveau raccourci
Crée un nouveau raccourci clavier.

Valeurs par défaut
Restaure les raccourcis clavier par défaut.

Commande à exécuter
Vous permet d'associer une commande interface à un raccourci clavier.

Script à exécuter
Vous permet d'associer un script de plusieurs lignes à un raccourci clavier : le script peut contenir à la fois des commandes serveur et des commandes interface.

Macro
Insère une macro dans le script à l'emplacement du curseur.

Commande
Insère une commande interface dans le script à l'emplacement du curseur.

Charger/Enregistrer sous
Vous permet d'exporter/importer des raccourcis clavier vers/d'un fichier.

Annuler
Ferme la boîte de dialogue sans enregistrer les modifications.

OK
Ferme la boîte de dialogue en enregistrant les modifications.

Voir aussi

Personnaliser BabasChess

Menu Commandes rapides


Add move annotation Dialog

Boîte de dialogue "Ajouter une annotation au coup"

Cette boîte de dialogue vous permet d'ajouter une annotation à un coup ; des annotations supplémentaires peuvent être ajoutées à un coup et être affichées dans la liste des coups (Fenêtre échiquier). La plupart des annotations utilisées sont affichées graphiquement, les autres annotations sont signalées par le caractère '$' suivi par le code de l'annotation, selon le format PGN standard.

Voir aussi

Menu Edition

Fenêtre Echiquier


Channel list Dialog

Thèmes

Un "Thème" est un jeu de préférences prédéfinies, pour vous aider à configurer rapidement BabasChess. Cliquez sur le bouton "Essayer" pour avoir l'aperçu d'un thème avant de le choisir.

Important : lorsque vous appuyez sur le bouton "Appliquer", une partie de toutes vos préférences précédentes seront modifiées en fonction du Thème choisi : si vous avez déjà configuré BabasChess, il est recommandé de sauvegarder vos préférences en utilisant la commande "Exporter préférences" du Menu Fichier avant d'appliquer le nouveau thème.

Cliquez sur le bouton "Annuler" pour fermer la boîte de dialogue en conservant vos préférences.

Voir aussi

Personnaliser BabasChess


Save-layout Dialog

Boîte de dialogue Enregistrement de la disposition

Cette boîte de dialogue est affichée quand vous sauvegardez une disposition des fenêtres.

Annuler
Ne sauvegarde pas votre disposition.

Enregistrer
Enregistre la disposition.

Voir aussi

Menu Fenêtre

Préférences Avancé Disposition des fenêtres


Script macros

Macros de scripts

Les macros suivantes peuvent être insérées dans les scripts :

  • %user% : votre pseudo,
  • %sel% : le dernier mot sélectionné (habituellement le nom d'un pseudo), sa valeur est affichée dans la barre d'état et est changé lorsque vous cliquez sur n'importe quel texte de console ou que vous sélectionnez un pseudo dans la liste des joueurs de la Fenêtre d'information,
  • %ch% : l'actuel channel actif dans la Fenêtre channels,
  • %game% : le numéro serveur de la partie de la Fenêtre échiquier active, s'il y en a une,
  • %gameplayed% : le numéro serveur de la partie que vous êtes en train de jouer (l'échiquier n'a pas besoin d'être l'échiquier actif),
  • %opponent% : vote adversaire actuel (ou le dernier),
  • %white% : le pseudo conduisant les blancs de l'échiquier actif,
  • %black% : le pseudo conduisant les noirs de l'échiquier actif,
  • %version% : la version actuelle de BabasChess,
  • %input(Name)% : il sera demandé à l'utilisateur de taper une valeur alphanumérique ("Name" peut être n'importe quelle chaîne de caractères et sera affiché dans la boîte de dialogue de saisie).